For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LearnGraph LoginRequest a Demo
HomeAPIBulk DataSayari LibraryChange Log
  • Key Concepts
    • Introduction
    • Endpoint Overview
    • Authentication
    • Requests
    • Pagination
    • Response Status Codes
    • Data Types
    • Rate Limits
  • API Clients
    • Overview
    • Open API
    • Postman
    • Go
    • Python
    • Node
  • API Reference
      • GETProject Notifications
      • GETResource Notifications
      • DELDelete Project Notifications
      • DELDelete Entity Notifications
      • DELDelete Resource Notifications
  • Guides
    • Getting Started
    • Understanding Project Entity
    • Risk Factors
    • Entity Search
    • Advanced Entity Search
    • Resolution
    • Trade Search - Shipments
    • Trade Search - Suppliers & Buyers
    • v0 Migration
  • Implementation Patterns
    • Project Entity Supply Chain
  • Use Cases
    • Entity Screening & Verification
    • Investigations
LogoLogo
LearnGraph LoginRequest a Demo
API ReferenceNotifications

Resource Notifications

Beta
GET
/v1/notifications/resources/:id
GET
/v1/notifications/resources/:id
$curl -G https://api.sayari.com/v1/notifications/resources/03ePyj \
> -H "Authorization: Bearer <token>" \
> -d limit=20
1{
2 "offset": 0,
3 "limit": 20,
4 "next": false,
5 "data": [
6 {
7 "saved_resource_id": "03ePyj",
8 "project_id": "0oZnoG",
9 "entity_id": "wxwqZshCF4trlrmOa2eu9w",
10 "type": "risk",
11 "field": "forced_labor_sheffield_hallam_university_reports_origin_subtier",
12 "value": "3",
13 "date": "2024-02-15T00:00:00.000Z"
14 }
15 ]
16}
<Warning>Legacy endpoint. New integrations should contact Sayari for best practices.</Warning> The Resource Notifications endpoint returns a list of notifications for a saved entity.
Was this page helpful?
Previous

Delete Project Notifications

Next
Built with

Legacy endpoint. New integrations should contact Sayari for best practices.
The Resource Notifications endpoint returns a list of notifications for a saved entity.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idstringRequired
Unique identifier of the resource

Query parameters

limitintegerOptional
Limit total notifications in the response. Defaults to 100.
offsetintegerOptional
Offset which notifications are returned. Defaults to 0.

Response

This endpoint returns an object.
offsetinteger
limitinteger
nextboolean
datalist of objects

Errors

400
Bad Request
401
Unauthorized
404
Not Found
405
Method Not Allowed
429
Rate Limit Exceeded
500
Internal Server Error
502
Bad Gateway
520
Connection Error